package com.muyu.cloud.pay.domain.req;

import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.cloud.pay.domain.req
 * @Project：cloud-pay
 * @name：CustomerListReq
 * @Date：2024/7/31 20:27
 */
@Tag(name = "客户列表请求对象")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerListReq {


    /**
     * 服务/客户名称
     */
    @Schema(type = "String",defaultValue = "客户名称1",description = "客户名称,为微服务中文名称")
    private String appName;
    /**
     * 服务/客户编码
     */
    @Schema(defaultValue = "customer_code",description = "客户名称,为微服务名称")
    private String appCode;
    /**
     * 是否开启
     */
    @Schema(type = "String",defaultValue = "Y",description = "客户状态,Y是开启,N是关闭")
    @IsSystemYesNo
    private String status;

}
